local addonInfo, privateVars = ...

if ( EnKai.tools.lang.getLanguage() == "German"  ) then
 
	privateVars.langTexts = {
		msgAddonLoaded = 'V%s geladen',
		tabLootTables = 'Beute Lvl 1-64',
		btClose = 'Schliessen',
		txtNoOfItems = 'Gegenstände: %d',
		callingRogue = 'Schurke',
		callingMage = 'Magier',
		callingCleric = 'Kleriker',
		callingWarrior = 'Krieger',
	}
	
	privateVars.langTexts.lootTableSel = {
		headerDungeon = "Instanzen Normal",
		headerExpert = "Instanzen Experte",
		headerChronicle = 'Chroniken',
		headerFaction = 'Fraktionen',
		headerMaster = "Instanzen Meister",
		headerRaid10 = "Schlachtzüge (10)",
		headerRaid20 = "Schlachtzüge (20)",
		headerPlaneWare = 'Ebenenwaren',
		headerCurrency = "Währung"
		
		--
		--headerPvP = "PvP",
		--headerProfession = "Berufe",
		--
		--headerRifts = 'Risse',		
		--headerEvent = 'Events',
		
		--headerPuzzle = 'Rätsel',
		--headerQuest = 'Quest',
	}
	
	privateVars.langTexts.lootTableText = {
		chronicles = privateVars.langTexts.lootTableSel.headerChronicle,
		dungeon = privateVars.langTexts.lootTableSel.headerDungeon,
		event = privateVars.langTexts.lootTableSel.headerEvent,
		expert = privateVars.langTexts.lootTableSel.headerExpert,
		master = privateVars.langTexts.lootTableSel.headerMaster,
		raid = privateVars.langTexts.lootTableSel.headerRaids,
		rifts = privateVars.langTexts.lootTableSel.headerRifts,
		badges = privateVars.langTexts.lootTableSel.headerBadges,
		factions = privateVars.langTexts.lootTableSel.headerFaction,
		planes = privateVars.langTexts.lootTableSel.headerEbenen,
		pvp = privateVars.langTexts.lootTableSel.headerPvP,
		profession = privateVars.langTexts.lootTableSel.headerProfession,
	}

	privateVars.langTexts.selSlots = {
		selBelt = 'Gürtel',
		selChest = 'Brust',
		selFeet = 'Füsse',
		selGloves = 'Handschuhe',
		selEssenceLesser = 'Geringe Essenz',
		selEssenceGreater = 'Grosse Essenz',
		selNeck = 'Hals',
		selRing = 'Ring',
		selMainhand = 'Haupthand',
		selOneHand = '1h Waffe',
		selTwoHand = '2h Waffe',
		sel2hHammer = '2h Waffe - Hammer',
		selStaff = '2h Waffe - Stab',
		selOffhand = 'Nebenhand',
		selHelmet = 'Helm',
		selShoulders = 'Schultern',
		selRanged = 'Fernkampf',
		selWand = 'Zauberstab',
		selShield = 'Schild',
		selLegs = 'Beine',
		selTrinket = 'Zubehör',
		selRunes = 'Runen',
		selSeal = 'Siegel',
	}	
	
	privateVars.langTexts.profession = {
		txtApothecary = 'Apotheker',
		txtArtificer = 'Kunsthandwerker',
		txtRunecrafter = 'Runenwerk',
		txtWeaponsmith = 'Waffenschmied',
		txtOutfitter = 'Ausstatter',
		txtArmorsmith = 'Rüstungsschmid',
	}
	
	privateVars.langTexts.profession = { weaponsmith = "Waffenschmied", outfitter = "Ausstatter", artificer = "Kunsthandwerker", armorsmith = "Rüstungsschmied", alchemist = "Apotheker" }

	privateVars.langTexts.professionCat = { outfitter = { seal = privateVars.langTexts.selSlots.selSeal, shoulders = privateVars.langTexts.selSlots.selShoulders, chest = privateVars.langTexts.selSlots.selChest, legs = privateVars.langTexts.selSlots.selLegs, feet =privateVars.langTexts.selSlots.selFeet, helmet = privateVars.langTexts.selSlots.selHelmet, belt = privateVars.langTexts.selSlots.selBelt  },
									armorsmith = { seal = privateVars.langTexts.selSlots.selSeal, shield = privateVars.langTexts.selSlots.selShield, shoulders = privateVars.langTexts.selSlots.selShoulders, chest = privateVars.langTexts.selSlots.selChest, legs = privateVars.langTexts.selSlots.selLegs, feet =privateVars.langTexts.selSlots.selFeet, helmet = privateVars.langTexts.selSlots.selHelmet, gloves = privateVars.langTexts.selSlots.selGloves},
									weaponsmith = { seal = privateVars.langTexts.selSlots.selSeal, onehanded = privateVars.langTexts.selSlots.selOneHand, twohanded = privateVars.langTexts.selSlots.selTwoHand, ranged = privateVars.langTexts.selSlots.selRanged },
									artificer = { seal = privateVars.langTexts.selSlots.selSeal, ring = privateVars.langTexts.selSlots.selRing, twohanded = privateVars.langTexts.selSlots.selStaff, ranged = privateVars.langTexts.selSlots.selWand, offhand = privateVars.langTexts.selSlots.selOffhand, neck = privateVars.langTexts.selSlots.selNeck},
									alchemist = { seal = privateVars.langTexts.selSlots.selSeal}
								}
								
	privateVars.langTexts.ui = {
		cbFilterUpgrades = "Nur Updates",
		cbFilterUseable = 'Nur benutzbar',
		cbShowPercent = 'Verb. in Prozent',
		tooltipWarningHeader = 'Hinweis',
		tooltipWarningText = { { text = "Diese Beutetabelle ist nicht vollständig!", color = "FF0000" }, { text = "" },  { text = "Bitte melde gefundene Gegenstände die nicht in der" }, { text = "Liste sind per Mail an naifukishi@gmail.com" }, { text = "" }, { text = "Vielen Dank für Deine Hilfe!" } }
	}
	
	privateVars.langTexts.grid = {
		headerName = 'Gegenstand',
		headerType = 'Typ',
		headerLevel = 'Stufe',
		headerUpgrade = 'Verb.',
	}
	
	privateVars.langTexts.error = {
		srcnotfound = 'Quelle unbekannt'
	}
	
end