local addonInfo, privateVars = ...

if EnKai.tools.lang.getLanguage() ~= "German" and EnKai.tools.lang.getLanguage() ~= "French" then
 
	privateVars.langTexts = {
		msgAddonLoaded = 'V%s loaded',
		tabLootTables = 'loot Lvl 1-64',
		btClose = 'close',
		txtNoOfItems = 'Items: %d',
		callingRogue = 'Rogue',
		callingMage = 'Mage',
		callingCleric = 'Cleric',
		callingWarrior = 'Warrior',
	}
	
	privateVars.langTexts.lootTableSel = {
		headerDungeon = "Instance normal",
		headerExpert = "Instance expert",
		headerChronicle = 'Chronicles',
    headerFaction = 'Factions',
		headerMaster = "Instance master",
    headerRaid10 = "Raids (10)",		
    headerRaid20 = "Raids (20)",
    headerPlaneWare = 'Planar goods',
    headerCurrency = "Currency"

--		headerBadges = "Badges",
--		headerPvP = "PvP",
--		headerProfession = "Professions",
--		headerEbenen = 'Planar goods',
--		headerRifts = 'Rifts',
--		headerEvent = 'Events',
--		headerPuzzle = 'Puzzle',
--		headerQuest = 'Quest',
	}
	
	privateVars.langTexts.lootTableText = {
		chronicles = privateVars.langTexts.lootTableSel.headerChronicle,
		dungeon = privateVars.langTexts.lootTableSel.headerDungeon,
		event = privateVars.langTexts.lootTableSel.headerEvent,
		expert = privateVars.langTexts.lootTableSel.headerExpert,
		master = privateVars.langTexts.lootTableSel.headerMaster,
		raid = privateVars.langTexts.lootTableSel.headerRaids,
		rifts = privateVars.langTexts.lootTableSel.headerRifts,
		badges = privateVars.langTexts.lootTableSel.headerBadges,
		factions = privateVars.langTexts.lootTableSel.headerFaction,
		planes = privateVars.langTexts.lootTableSel.headerEbenen,
		pvp = privateVars.langTexts.lootTableSel.headerPvP,
		profession = privateVars.langTexts.lootTableSel.headerProfession,
	}
	
	privateVars.langTexts.selSlots = {
		selBelt = 'Belt',
		selChest = 'Chest',
		selFeet = 'Feet',
		selGloves = 'Gloves',
		selEssenceLesser = 'Essence lesser',
		selEssenceGreater = 'Essence greater',
		selNeck = 'Neck',
		selRing = 'Ring',
		selMainhand = 'Mainhand',
		selOneHand = '1h weapon',
		selTwoHand = '2h weapon',
		sel2hHammer = '2h weapon - hammer',
		selStaff = '2h weapon - staff',
		selOffhand = 'Offhand',
		selHelmet = 'Helmet',
		selShoulders = 'Shoulders',
		selRanged = 'Ranged',
		selWand = 'Wand',
		selShield = 'Shield',
		selLegs = 'Legs',
		selTrinket = 'Trinket',
		selRunes = 'Runes',
		selSeal = 'Seal',
	}
	
	privateVars.langTexts.profession = {
		txtApothecary = 'Apothecary',
		txtArtificer = 'Artificer',
		txtRunecrafter = 'Runecrafter',
		txtWeaponsmith = 'Weaponsmith',
		txtOutfitter = 'Outfitter',
		txtArmorsmith = 'Armorsmith',
	}
	
	privateVars.langTexts.profession = { weaponsmith = "Weaponsmith", outfitter = "Outfitter", artificer = "Artificer", armorsmith = "Armorsmith", alchemist = "Apothecary" }

	privateVars.langTexts.professionCat = { outfitter = { seal = privateVars.langTexts.selSlots.selSeal, shoulders = privateVars.langTexts.selSlots.selShoulders, chest = privateVars.langTexts.selSlots.selChest, legs = privateVars.langTexts.selSlots.selLegs, feet =privateVars.langTexts.selSlots.selFeet, helmet = privateVars.langTexts.selSlots.selHelmet, belt = privateVars.langTexts.selSlots.selBelt  },
									armorsmith = { seal = privateVars.langTexts.selSlots.selSeal, shield = privateVars.langTexts.selSlots.selShield, shoulders = privateVars.langTexts.selSlots.selShoulders, chest = privateVars.langTexts.selSlots.selChest, legs = privateVars.langTexts.selSlots.selLegs, feet =privateVars.langTexts.selSlots.selFeet, helmet = privateVars.langTexts.selSlots.selHelmet, gloves = privateVars.langTexts.selSlots.selGloves},
									weaponsmith = { seal = privateVars.langTexts.selSlots.selSeal, onehanded = privateVars.langTexts.selSlots.selOneHand, twohanded = privateVars.langTexts.selSlots.selTwoHand, ranged = privateVars.langTexts.selSlots.selRanged },
									artificer = { seal = privateVars.langTexts.selSlots.selSeal, ring = privateVars.langTexts.selSlots.selRing, twohanded = privateVars.langTexts.selSlots.selStaff, ranged = privateVars.langTexts.selSlots.selWand, offhand = privateVars.langTexts.selSlots.selOffhand, neck = privateVars.langTexts.selSlots.selNeck},
									alchemist = { seal = privateVars.langTexts.selSlots.selSeal}
								}

	privateVars.langTexts.ui = {	
		cbFilterUpgrades = "updates only",
		cbFilterUseable = 'usable only',
		cbShowPercent = 'Upgd in percent',
		tooltipWarningHeader = 'Warning',
		tooltipWarningText = { { text = "This loottable is incomplete!", color = "FF00FF" }, { text = "" }, { text = "Please report newly discovered items which are" }, { text = "not in the list by mail at naifukishi@gmail.com" }, { text = "" }, { text = "Thank you for your support!" } }
	}
	
	privateVars.langTexts.grid = {
		headerName = 'Drop',
		headerType = 'Type',
		headerLevel = 'Level',
		headerUpgrade = 'Upgd.',
	}
	
	privateVars.langTexts.error = {
		srcnotfound = 'Source unkown'
	}
	
	
end