local addonInfo, privateVars = ...

function privateVars.internal.lootTable (sourcetype, source, parent)

	local name = parent:GetName() .. '.lootFrame'

	local loottype
	local subtype
	
	local frame = UI.CreateFrame('Frame', name, parent)
	frame:SetPoint("TOPLEFT", parent, "TOPLEFT", 275, 0)
	frame:SetPoint("BOTTOMRIGHT", parent, "BOTTOMRIGHT")
	frame:SetLayer(9)
	
  local bosses = {} 
  for k, v in pairs (privateVars.loot.dungeon.source["4e41c326-3e50-4254-8e72-e64fb5f48a4d"]) do table.insert (bosses, {value = k, label = v}) end 
  
  frame.fldSelBoss = EnKai.uiCreateFrame("nkCombobox", name .. '.fldSelBoss', frame)
  frame.fldSelBoss:SetPoint("TOPLEFT", frame, "TOPLEFT", 0, -5)
  frame.fldSelBoss:SetWidth(325)
  frame.fldSelBoss:SetLabelWidth(0)
  frame.fldSelBoss:SetSelection(bosses)
  frame.fldSelBoss:SetSelectedValue(bosses[1].value)
  frame.fldSelBoss:SetLayer(4)
  
  if #bosses <= 1 then
    frame.fldSelBoss:SetVisible(false)
  else
    frame.fldSelBoss:SetVisible(true)
  end
  
  Command.Event.Attach(EnKai.events[name .. '.fldSelBoss'].ComboChanged, function (_, newValue)
    frame:lootListUpdate(loottype, subtype, frame.cbFilterUpgrades:GetChecked(), frame.cbFilterUseable:GetChecked())
  end, name .. '.fldSelBoss.ComboChanged')
  
  frame.iconWarning = UI.CreateFrame('Texture', name .. '.warningIcon', frame)
  frame.iconWarning:SetTextureAsync("nkAdvisor_Level", "gfx/warning.png")
  frame.iconWarning:SetWidth(20)
  frame.iconWarning:SetHeight(20)
  frame.iconWarning:SetPoint("CENTERLEFT", frame.fldSelBoss, "CENTERRIGHT", 5, 0)
  
  frame.iconWarning:EventAttach(Event.UI.Input.Mouse.Cursor.In, function ()
    if privateVars.uiElements.warningTooltip == nil then
      privateVars.uiElements.warningTooltip = EnKai.uiCreateFrame("nkTooltip", name .. '.tooltip', frame.tooltipAnchor)
      privateVars.uiElements.warningTooltip:SetTitle(privateVars.langTexts.ui.tooltipWarningHeader)
      privateVars.uiElements.warningTooltip:SetLines(privateVars.langTexts.ui.tooltipWarningText)
      privateVars.uiElements.warningTooltip:SetPoint("TOPLEFT", frame.iconWarning, "CENTER")
    end
    privateVars.uiElements.warningTooltip:SetVisible(true)
  end, name .. '.warningIcon.Mouse.Cursor.In')
  
  frame.iconWarning:EventAttach(Event.UI.Input.Mouse.Cursor.Out, function ()
    privateVars.uiElements.warningTooltip:SetVisible(false)
  end, name .. '.warningIcon.Mouse.Cursor.Out')
 
	frame.grid = EnKai.uiCreateFrame("nkGrid", name .. '.grid', frame)
			
	frame.grid:SetPoint("TOPLEFT", frame.fldSelBoss, "BOTTOMLEFT", 0, 5)
	frame.grid:SetTransparentHeader()
	frame.grid:SetSelectable(false)
	frame.grid:SetLayer(3)
	frame.grid:SetHeaderHeight(25)
	
	local gridRows = 16
	
	local cols = nil
	
	if nkAAPI.isModuleRegistered ('nkAdvisor_Rating') == true then	
		cols = {	{ align = 'center', texture = true, textureType = 'Rift', width = 30, textureWidth = 17, textureHeight = 17}, { align = 'left', header = privateVars.langTexts.grid.headerName, width = 257 },  { header = privateVars.langTexts.grid.headerType, width = 150},  { align = 'center', header = privateVars.langTexts.grid.headerLevel, width = 50}, { align = 'center',  header = privateVars.langTexts.grid.headerUpgrade, width = 75, sortable = false} }
	else
		cols = {	{ align = 'center', texture = true, textureType = 'Rift', width = 30, textureWidth = 17, textureHeight = 17}, { align = 'left', header = privateVars.langTexts.grid.headerName, width = 333 },  { header = privateVars.langTexts.grid.headerType, width = 150},  { align = 'center', header = privateVars.langTexts.grid.headerLevel, width = 50} }
	end
	
	frame.grid:SetVisible(false)	
	frame.grid:Layout (cols, gridRows)	

	Command.Event.Attach(EnKai.events[name .. '.grid'].GridFinished, function ()
		frame.grid:SetVisible(true)
		privateVars.gridFinished = true
		privateVars.uiElements.lootTable:changeTable("dungeon", "4e41c326-3e50-4254-8e72-e64fb5f48a4d")
	end, name .. '.grid.GridFinished')
	
	Command.Event.Attach(EnKai.events[name .. '.grid'].WheelForward, function (_, rowPos)
		frame.slider:AdjustValue (rowPos)
	end, name .. '.grid.Grid.WheelForward')
	
	Command.Event.Attach(EnKai.events[name .. '.grid'].WheelBack, function (_, rowPos)
		frame.slider:AdjustValue (rowPos)
	end, name .. '.grid.Grid.WheelBack')
	
	Command.Event.Attach(EnKai.events[name .. '.grid'].MouseOver, function (_, rowPos)
	 	local parent = frame.grid:GetCell(rowPos, 1)
	 	local key = frame.grid:GetKey(frame.grid:GetRowPos() + rowPos -1)
	 	if key == nil then return end
	 	local itemData = nkItemBase.Query.byKey (key, false, nil, false)
	 	
	 	local mouse = Inspect.Mouse()
	 	local xpos, ypos = mouse.x - frame.grid:GetLeft() + 20, mouse.y - frame.grid:GetTop()
	 	
		nkAAPI.createTooltip(itemData.akey, itemData, frame.grid, xpos, ypos, true)
	end, name .. '.grid.Grid.MouseOver')
	 
	Command.Event.Attach(EnKai.events[name .. '.grid'].MouseOut, function (_, rowPos)
		nkAAPI.hideTooltip()
	end, name .. '.grid.Grid.MouseOut')
	 
	frame.slider = EnKai.uiCreateFrame("nkScrollbox", name .. ".slider", frame)  
    
  frame.slider:SetPoint("TOPLEFT", frame.grid, "TOPRIGHT", 0, 25 )
  frame.slider:SetHeight(frame.grid:GetHeight() - 25)
  frame.slider:SetRange(1, 1)
  frame.slider:SetVisible(false)
  frame.slider:SetLayer(2)
  frame.slider:SetColor( nkAdvisor.layout.elementColor[1], nkAdvisor.layout.elementColor[2], nkAdvisor.layout.elementColor[3], nkAdvisor.layout.elementColor[4] )
  
  Command.Event.Attach(EnKai.events[name .. ".slider"].ScrollboxChanged, function ()    
    frame.grid:SetRowPos(math.floor(frame.slider:GetValue('value')), true)
  end, name .. 'slider.ScrollboxChanged')
	 
	frame.cbShowPercent = EnKai.uiCreateFrame("nkCheckbox", name .. '.cbShowPercent', frame)
	frame.cbShowPercent:SetLabelInFront(false)
	frame.cbShowPercent:SetWidth(125)
	frame.cbShowPercent:SetText(privateVars.langTexts.ui.cbShowPercent)
	frame.cbShowPercent:SetChecked(nkAM_Level_Setup.showPercent)
	frame.cbShowPercent:SetPoint("TOPLEFT", frame.grid, "BOTTOMLEFT", 0, 5)
	frame.cbShowPercent:SetLayer(2)
	
	Command.Event.Attach(EnKai.events[name .. '.cbShowPercent'].CheckboxChanged, function (_, newValue)
		nkAM_Level_Setup.showPercent = newValue;
		frame:lootListUpdate(loottype, subtype, frame.cbFilterUpgrades:GetChecked())
	end, name .. '.cbShowPercent.CheckboxChanged')

	frame.cbFilterUpgrades = EnKai.uiCreateFrame("nkCheckbox", name .. '.cbFilterUpgrades', frame)
	frame.cbFilterUpgrades:SetText(privateVars.langTexts.ui.cbFilterUpgrades)
	frame.cbFilterUpgrades:SetLabelInFront(false)
	frame.cbFilterUpgrades:SetWidth(125)
	frame.cbFilterUpgrades:SetChecked(false)
	frame.cbFilterUpgrades:SetPoint("CENTERLEFT", frame.cbShowPercent, "CENTERRIGHT", 10, 0)
	frame.cbFilterUpgrades:SetLayer(2)
	
	Command.Event.Attach(EnKai.events[name .. '.cbFilterUpgrades'].CheckboxChanged, function (_, newValue)
		frame:lootListUpdate(loottype, subtype, newValue, frame.cbFilterUseable:GetChecked())
	end, name .. '.cbFilterUpgrades.CheckboxChanged')

	frame.cbFilterUseable = EnKai.uiCreateFrame("nkCheckbox", name .. '.cbFilterUseable', frame)
	frame.cbFilterUseable:SetText(privateVars.langTexts.ui.cbFilterUseable)
	frame.cbFilterUseable:SetLabelInFront(false)
	frame.cbFilterUseable:SetWidth(125)
	frame.cbFilterUseable:SetChecked(false)
	frame.cbFilterUseable:SetPoint("CENTERLEFT", frame.cbFilterUpgrades, "CENTERRIGHT", 10, 0)
	frame.cbFilterUseable:SetLayer(2)
	
	Command.Event.Attach(EnKai.events[name .. '.cbFilterUseable'].CheckboxChanged, function (_, newValue)
		frame:lootListUpdate(loottype, subtype, frame.cbFilterUpgrades:GetChecked(), newValue)
	end, name .. '.cbFilterUseable.CheckboxChanged')

	if nkAAPI.isModuleRegistered ('nkAdvisor_Rating') == false then 
		frame.cbFilterUpgrades:SetVisible(false) 
		frame.cbShowPercent:SetVisible(false) 
	end
	
	frame.txtNoOfitems = UI.CreateFrame('Text', name .. '.txtNoOfItems', frame)
	frame.txtNoOfitems:SetText(string.format (privateVars.langTexts.txtNoOfItems, 0))
	frame.txtNoOfitems:SetFontSize(13)
	frame.txtNoOfitems:SetPoint("TOPRIGHT", frame.grid, "BOTTOMRIGHT", 0, 1)
	
	frame.tooltipAnchor = UI.CreateFrame('Frame', name .. '.tooltipAnchor', frame)
	frame.tooltipAnchor:SetLayer(4)
	frame.tooltipAnchor:SetPoint("TOPLEFT", frame, "TOPLEFT")

	function frame:changeTable (newLootType, newValue)

		if privateVars.loot[newLootType] == nil or privateVars.loot[newLootType].source[newValue] == nil then
			EnKai.tools.error.display (addonInfo.toc.Identifier, string.format("cannot change loot table to %s, %s", newLootType, newValue), 1) 
			return 
		end

		loottype = newLootType
		subtype  = newValue
		
		local bosses = {}
		local subType = nil
		
		local selFlag = true
		
		if loottype == 'profession' then
			for k, v in pairs (privateVars.langTexts.professionCat[newValue]) do table.insert (bosses, {value = k, label = v}) end	
			subtype = newValue
		else
			if next(privateVars.loot[loottype].source[newValue]) == nil then
				table.insert (bosses, {value = newValue, label = privateVars.loot[loottype].locations[newValue]})
				selFlag = false
			else
				local tmpCount = 0
				for k, v in pairs (privateVars.loot[loottype].source[newValue]) do 
					table.insert (bosses, {value = k, label = v}) 
					tmpCount = tmpCount + 1
				end	
			end
		end
		
		if #bosses <= 1 then
			frame.fldSelBoss:SetVisible(false)
		else
			frame.fldSelBoss:SetVisible(selFlag)
		end 
		
		frame.fldSelBoss:SetSelection (bosses)
		frame.fldSelBoss:SetSelectedValue(bosses[1].value)
		frame:lootListUpdate(loottype, subtype, frame.cbFilterUpgrades:GetChecked(), frame.cbFilterUseable:GetChecked())
		
		if loottype == 'profession' or privateVars.loot[loottype].status == nil then
			frame.iconWarning:SetVisible(false)
		elseif privateVars.loot[loottype].status[newValue] == false then
			frame.iconWarning:SetVisible(true)
		else
			frame.iconWarning:SetVisible(false)
		end	
	
	 end
	 
	function frame:lootListUpdate (loottype, subtype, upgradesOnly, useableOnly)
	
		local boss = frame.fldSelBoss:GetSelectedValue()
			
		local drops = nil
		local dropsOther = {}
	
		if loottype == 'profession' then
			drops = nkItemBase.Query.getCraftingResults(subtype, boss)		
		else
			if privateVars.loot[loottype] == nil then
				EnKai.tools.error.display (addonInfo.toc.Identifier, "loottype is nil", 1)
				return
			end 
			drops = privateVars.loot[loottype].items[boss]
			if privateVars.loot[loottype].other ~= nil then dropsOther.other = privateVars.loot[loottype].other[boss] end
			if privateVars.loot[loottype].rune ~= nil then dropsOther.runes = privateVars.loot[loottype].rune[boss] end
		end
		
		local gridValues = {}
	
		if drops ~= nil then
		
			for k, v in pairs (drops) do
				local itemData = nkItemBase.Query.byKeyWithinCategories (v, privateVars.dbCategories)
				
				if itemData ~= nil then
				
					local diff = 0
					local diffPercent = 0
					local notAllowed = false
				
					if useableOnly == true and itemData.rcall ~= nil then					
						if EnKai.tools.table.isMember(EnKai.strings.split(itemData.rcall, ','), string.upper(string.sub(nkAAPI.getCalling(), 1, 1))) == false then notAllowed = true end					
					end
					
					if notAllowed == false and EnKai.tools.table.isMember (nkAAPI.getRessource('allowedSlotsByClass', nkAAPI.getCalling()), itemData.type) then					
						if nkAAPI.isModuleRegistered ('nkAdvisor_Rating') == true then
							
							local riftCalc = 0
							local itemCalc = nkAAPI.callModuleFunc ('nkAdvisor_Rating', 'calcItem', { item = itemData, exclDPS = false })
							local riftSlot = string.sub(itemData.type, 1, string.find(itemData.type, ':')-1)
							
							local processed = false
							
							if nkAAPI.getRessource('typeToSlot', riftSlot) ~= nil then riftSlot = nkAAPI.getRessource('typeToSlot', riftSlot) end
												
							if string.find(riftSlot, '+') ~= nil then
								local tempSlots = EnKai.strings.split(riftSlot, '+')
								for idx = 1, #tempSlots, 1 do
									local tempValue, flag = nkAAPI.callModuleFunc ('nkAdvisor_Rating', 'calcRiftItem', { slot = tempSlots[idx], exclDPS = false })
									if flag == true then 
										riftCalc = riftCalc + tempValue 
										processed = true
									end
								end
								
								if processed == true and riftCalc < itemCalc then 
									diff = itemCalc - riftCalc 
									diffPercent = EnKai.tools.math.round(100 - ( 100 / itemCalc * riftCalc),2)
								end
							elseif string.find(riftSlot, ':') ~= nil then
								local tempSlots = EnKai.strings.split(riftSlot, ':')
								addToTable = false
								for idx = 1, #tempSlots, 1 do
									local tempValue, flag = nkAAPI.callModuleFunc ('nkAdvisor_Rating', 'calcRiftItem', { slot = tempSlots[idx], exclDPS = false })
									if flag == true and tempValue < itemCalc and itemCalc - tempValue > diff then 
										riftCalc = tempValue
										diff = itemCalc - riftCalc 
										diffPercent = EnKai.tools.math.round(100 - ( 100 / itemCalc * riftCalc),2)
									end
								end
							else	
								local tempValue, flag = nkAAPI.callModuleFunc ('nkAdvisor_Rating', 'calcRiftItem', { slot = riftSlot, exclDPS = false })
								if flag == true and tempValue < itemCalc then 
									riftCalc = tempValue
									diff = itemCalc - riftCalc 
									diffPercent = EnKai.tools.math.round(100 - ( 100 / itemCalc * riftCalc),2)
								end
							end
						end
					elseif useableOnly == true then
						notAllowed = true
					end
					
					local addToTable = true
					
					if upgradesOnly == true and diff <= 0 then addToTable = false end
					if notAllowed == true then addToTable = false end
					
					if addToTable == true then
						local thisValue = {}
						local diffText = ''
						
						if nkAAPI.isModuleRegistered ('nkAdvisor_Rating') == true and diff > 0 then 
							if nkAM_Level_Setup.showPercent == true then
								diffText = string.format ("%.2f%%", diffPercent)
							else
								diffText = string.format ("%3.1f", math.floor(diff*10)/10)
							end
						end
						
						local icon = ''
										
						if itemData.icon ~= nil then
							icon = string.format('Data/\\UI\\item_icons\\%s.dds', itemData.icon)
						elseif itemData.akey ~= nil then
							local err, details = pcall (Inspect.Item.Detail, itemData.akey)
							if err == true then icon = details.icon end
						end
						
						if itemData[string.lower(EnKai.tools.lang.getLanguageShort())] == nil then
							if EnKai.tools.lang.getLanguageShort() == 'EN' then
								itemData[string.lower(EnKai.tools.lang.getLanguageShort())] = v
							else
								itemData[string.lower(EnKai.tools.lang.getLanguageShort())] = itemData.en
							end
						end
						
						table.insert (thisValue, icon)
						table.insert (thisValue, {key = v, value = itemData[string.lower(EnKai.tools.lang.getLanguageShort())], color = nkItemBase.qualityColor[tonumber(itemData['q'])]})
												
						if EnKai.items.getRessource('itemTypeTranslation', itemData.type) == nil then print (itemData.type) end
						table.insert(thisValue, { value = EnKai.items.getRessource('itemTypeTranslation', itemData.type), color = { 1, 1, 1, 1 }} )
						
						if itemData.rlvl == nil or itemData.rlvl == 0 then
						  table.insert (thisValue, "")
						else
						  table.insert (thisValue, itemData.rlvl)
						end						
						
						if nkAAPI.isModuleRegistered ('nkAdvisor_Rating') == true then table.insert(thisValue, { value = diffText, color = {0.149, 0.498, 0, 1} }) end
						table.insert(gridValues, thisValue)
					end
				end
			end
			
			table.sort (gridValues, function (v1, v2) return v1[2].value < v2[2].value end )
		end
			
		for dropType, details in pairs (dropsOther) do
			for k, v in pairs (details) do		
				local itemData = nkItemBase.Query.byKey (v)
				
				if itemData ~= nil then
					local thisValue = {}
					local itemColor = nkItemBase.qualityColor[tonumber(itemData['q'])]
					if itemColor == nil then itemColor = {1,1,1,1} end
					
					local icon = ''
									
					if itemData.icon ~= nil then
						icon = string.format('Data/\\UI\\item_icons\\%s.dds', itemData.icon)
					elseif itemData.akey ~= nil then
						local err, details = pcall (Inspect.Item.Detail, itemData.akey)
						if err == true then icon = details.icon end
					end
					
					table.insert (thisValue, icon)
					table.insert (thisValue, {key = v, value = itemData[string.lower(EnKai.tools.lang.getLanguageShort())], color = itemColor})
										
					if EnKai.items.getRessource('itemTypeTranslation', itemData.type) == nil then print (itemData.type) end
					table.insert(thisValue, { value = EnKai.items.getRessource('itemTypeTranslation', itemData.type)} )
					
					if itemData.rlvl == nil or itemData.rlvl == 0 then
            table.insert (thisValue, "")
          else
            table.insert (thisValue, itemData.rlvl)
          end
					
					if nkAAPI.isModuleRegistered ('nkAdvisor_Rating') == true then table.insert(thisValue, { value = '', color = {0.149, 0.498, 0, 1} }) end
					table.insert(gridValues, thisValue)
				end
			end
			
		end
		
		frame.grid:SetRowPos(1, false)
		frame.grid:SetCellValues(gridValues)		
		
		if (#gridValues-gridRows) > 0 then
			frame.slider:SetRange (1, (#gridValues-(gridRows-1)))
			frame.slider:SetVisible(true)
		else
			frame.slider:SetVisible(false)
		end
	
		frame.txtNoOfitems:SetText(string.format (privateVars.langTexts.txtNoOfItems, #gridValues))
		
	end
	 
	 function frame:show(flag)
	 	parent:SetVisible(flag)
	 end
	 
	 return frame
	
end

function privateVars.internal.lootCategory(parent, category)

	local name = parent:GetName() .. ".lootCategoryFrame." .. category
	local defaultKey = nil

	local frame = UI.CreateFrame ('Frame', name, parent)
	frame:SetVisible(false)
	frame:SetPoint("TOPLEFT", parent, "TOPLEFT")
	frame:SetPoint("BOTTOMRIGHT", parent, "BOTTOMRIGHT")
	
	local mask = EnKai.uiCreateFrame("nkScrollpane", name .. '.scrollpane', frame)
	mask:SetPoint("TOPLEFT", frame, "TOPLEFT", 0, -5)
	mask:SetHeight(400)
	mask:SetWidth(260)
	--mask:SetPoint("BOTTOMRIGHT", frame, "BOTTOMLEFT", 260, 0)
	
	local contents = UI.CreateFrame ('Frame', name .. '.contents', mask)
	
	local locations = {}
	
	if category == 'profession' then
		for k, v in pairs (privateVars.langTexts.profession) do table.insert (locations, v) end
	elseif category == 'factions' or category == 'planes' or category == 'pvp' then
		for k, v in pairs (privateVars.loot[category].locations[nkAAPI.getFaction()]) do table.insert (locations, v) end	
	else
		for k, v in pairs (privateVars.loot[category].locations) do table.insert (locations, v) end
	end
	
	table.sort (locations, function (v1, v2) return v1 < v2 end )
	
	local from, object, to, x, y = "TOPLEFT", contents, "TOPLEFT", 0, 0	
	local newHeight = 0
	
	local buttonList = {}
	local lastButton = nil;
	
	for k, v in pairs ( locations ) do
		local key = nil
		
		if category == 'profession' then
			key = EnKai.tools.table.getKeyByValue (privateVars.langTexts.profession, v)
		elseif category == 'factions' or category == 'planes' or category == 'badges' then
			key = EnKai.tools.table.getKeyByValue (privateVars.loot[category].locations[nkAAPI.getFaction()], v)
		else
			key = EnKai.tools.table.getKeyByValue (privateVars.loot[category].locations, v)
		end
		
    local button = EnKai.uiCreateFrame("nkButtonMetro", name .. '.button.' .. k, contents)
    button:SetText(v)
    button:SetWidth(300)
    button:SetScale(.8)
    button:SetPoint(from, object, to, x, y)
    
    Command.Event.Attach(EnKai.events[name .. '.button.' .. k].Clicked, function ()
      privateVars.internal.switchToLootTable(category, key)
      if lastButton ~= nil then
        lastButton:SetColor(EnKai.art.GetThemeColor('elementSubColor').r, EnKai.art.GetThemeColor('elementSubColor').g, EnKai.art.GetThemeColor('elementSubColor').b)
      end
      
      button:SetColor(EnKai.art.GetThemeColor('elementSubColor2').r, EnKai.art.GetThemeColor('elementSubColor2').g, EnKai.art.GetThemeColor('elementSubColor2').b)
      lastButton = button 
    end, name .. '.button.' .. k .. '.Clicked')
    
    buttonList[name .. '.button.' .. k] = button
    
    if lastButton == nil then
      button:SetColor(EnKai.art.GetThemeColor('elementSubColor2').r, EnKai.art.GetThemeColor('elementSubColor2').g, EnKai.art.GetThemeColor('elementSubColor2').b)
      lastButton = button
    end
	
	  newHeight = newHeight + button:GetHeight() + y
		from, object, to, x, y = "TOPLEFT", button, "BOTTOMLEFT", 0, 3
		
		if defaultKey == nil then defaultKey = key end
	end
	
	contents:SetHeight(newHeight)
	mask:SetContent(contents)
	mask:SetColor(nkAdvisor.layout.labelColor[1], nkAdvisor.layout.labelColor[2], nkAdvisor.layout.labelColor[3], nkAdvisor.layout.labelColor[4] )
	
 	function frame:activate()
 
 		if privateVars.uiElements.lootTable == nil then return end
 
		privateVars.uiElements.lootTable:show(true)
		privateVars.uiElements.lootTable:changeTable(category, defaultKey)
 
 	end
	
	return frame

 end
 
 