local addonInfo, privateVars = ...

if privateVars.loot == nil then privateVars.loot = {} end

local event = {}

if ( EnKai.tools.lang.getLanguage() == "German"  ) then
	event.locations = { ['11'] = '1.1 Finstere Ernte', ['13'] = '1.3 Wogen des Wahnsinns', ['14'] = '1.4 Das Vermächtnis der Gefallenen', ['15'] = '1.5 Asche der Geschichte', ['16'] = '1.6 Aus der Glut', ['17'] = '1.7 Karneval der Auserwählten' }
	event.source = { 	['11'] = { ['11equip'] = 'Ausrüstung', ['11other'] = 'Verschiedenes' }, 
						['13'] = { ['13equip'] = 'Ausrüstung', ['13costume'] = 'Kostüme', ['13other'] = 'Verschiedenes' },
						['14'] = { ['14equip'] = 'Ausrüstung', ['14other'] = 'Verschiedenes'},
						['15'] = { ['15equip'] = 'Ausrüstung', ['15costume'] = 'Kostüme', ['15other'] = 'Verschiedenes'},
						['16'] = { ['16equip'] = 'Ausrüstung', ['16costume'] = 'Kostüme', ['16other'] = 'Verschiedenes'},
						['17'] = { ['17goods'] = 'Auserwähltenwaren', ['17goods6'] = 'Auserwähltenwaren (Phase 6)', ['17money'] = 'Geldwechsler', ['17prize'] = 'Karnevalspreise', ['17titles'] = 'Ereignistitel-Händler', ['17shady'] = 'Schattenhafte Waren' },
					}
elseif EnKai.tools.lang.getLanguage() == "French" then
	event.locations = { ['11'] = '1.1 Moisson sinistre', ['13'] = '1.3 Vagues de folie', ['14'] = '1.4 Héritage des dragons déchus', ['15'] = '1.5 Cendres du souvenir', ['16'] = '1.6 Eclat de la flamme', ['17'] = '1.7 Carnaval des Elus' }
	event.source = {	['11'] = { ['11equip'] = 'Equipement', ['11other'] = 'Autre'},
						['13'] = { ['13equip'] = 'Equipement', ['13costume'] = 'Costume', ['13other'] = 'Autre'},
						['14'] = { ['14equip'] = 'Equipement', ['14other'] = 'Autre'},
						['15'] = { ['15equip'] = 'Equipement', ['15costume'] = 'Costume',['15other'] = 'Autre'},
						['16'] = { ['16equip'] = 'Equipement'},
						['17'] = { ['17goods'] = 'Biens des élus', ['17goods6'] = 'Biens des élus (Phase 6)', ['17money'] = 'Echangeur de monnaie', ['17prize'] = 'Prix du carnaval', ['17titles'] = "Titres d'événement", ['17shady'] = 'Biens divers' },
					}
else
	event.locations = { ['11'] = '1.1 Grim Harvest', ['13'] = '1.3 Waves of Madness', ['14'] = '1.4 Legacy of the Fallen', ['15'] = '1.5 Ashes of History', ['16'] = '1.6 From the Embers', ['17'] = '1.7 Carnival of the Ascended' }
	event.source = {	['11'] = { ['11equip'] = 'Equipment', ['11other'] = 'Other'},
						['13'] = { ['13equip'] = 'Equipment', ['13costume'] = 'Costume', ['13other'] = 'Other'},
						['14'] = { ['14equip'] = 'Equipment', ['14other'] = 'Other'},
						['15'] = { ['15equip'] = 'Equipment', ['15costume'] = 'Costume',['15other'] = 'Other'},
						['16'] = { ['16equip'] = 'Equipment'},
						['17'] = { ['17goods'] = 'Ascended Goods', ['17goods6'] = 'Ascended Goods (Phase 6)', ['17money'] = 'Moneychangers', ['17prize'] = 'Carnival Prizes', ['17titles'] = 'Event Titles', ['17shady'] = 'Shady Goods' },
					}
end

event.items = {	['11equip'] 	= { 'EF9E92810201010101', 'B381E4860601010101', 'A0F3AA3C01010101', 'ABFC90DC0501010101', 'D2E3A4920501010101', '91BEE1AD0401010101', 'BDB4E2C80401010101', 'CC9FDD9C0701010101', 'B3F680FF0701010101', 'F6D1B0F10101010101', '90F2EE8E0101010101', 'F180CD840501010101', 'BFF4E4C80601010101', '92BEE1AD0401010101', 'BEB4E2C80401010101', 'D9C9D7C10701010101', 'AACDA78A0501010101', 'BF9CCF910101010101', 'D3E3A4920501010101', 'B481E4860601010101', 'F09E92810201010101', 'CD9FDD9C0701010101', '8FF2EE8E0101010101', 'D8C9D7C10701010101', 'D99C8FE10701010101', 'DBDBA4810201010101', 'B2A993C60601010101', 'FCF6BEC50201010101', 'BBDF9CE40101010101', 'C3F89BFC0101010101', 'ECB7C7DD0201010101', 'EDB7C7DD0201010101', 'E2F089E20601010101', '9B8D8BB10301010101', 'F2D0ABC70201010101', 'EEB7C7DD0201010101' },
				['13equip'] 	= { '97CC84880401010101', '88B9AF9B0601010101', 'E7A9F4F80501010101', 'C787B8C70201010101', 'AC81981201010101', 'C4BC9CDC0301010101', 'D0B590FA0501010101', '98F7C33201010101', 'ADC9A1F40301010101', 'B8B0BB900401010101', 'BCB53D01010101', '85CAA4E70101010101', 'F4E5AD5101010101', 'E6D7ECAD0601010101', 'FDA4A7FB0601010101', 'A083D24301010101', 'C0E5B54A01010101', 'ADD0F67501010101', 'E2B3B8850101010101', 'A0ECAD8B0401010101', 'C3F8EBAF0601010101', '83F9EEB40701010101', '99F5C8890701010101', 'D6EEBCB40201010101'},
				['14equip'] 	= { 'E9EA8CA60301010101', 'F7E1A7F50401010101', 'F7AC90970301010101', 'D1E5AB5A01010101', '97D789AE0501010101', '879EFEAA0101010101', '958AB2AC0701010101', 'FFB3C93A01010101', 'D7B2D6880701010101', 'B793C2870601010101', '90F6C91001010101', 'BCA9B9D80601010101', 'F3B5C99D0601010101', 'F4B5C99D0601010101', 'ED8BC29A0101010101', 'ECD4CEEA0201010101', 'F5B5C99D0601010101', '9ADBF9D60201010101', '94F4B30F01010101', '93B4CEA80601010101', 'CBCCA2AA0101010101', 'F2B5C99D0601010101', 'D1C6D8840201010101', '84DDEFCC0301010101', 'B0F3A86F01010101', '8EA29ADE0201010101', '8B9DF9BF0501010101', 'E19CB1890601010101', '94D0AAB80301010101', '8CA29ADE0201010101', 'BECFA3CE0301010101', '82E5AB7001010101', 'E4F9E29F0101010101', 'B3EFCCF20501010101', '8DA29ADE0201010101', '8DBDD87E01010101'},
				['15equip'] 	= { 'ABFAEEFE0701010101', 'AAADBAA90101010101', 'BBDFE1FA0101010101', 'EBDAE3A20201010101', '82BBE8D00401010101', 'B483D7E50501010101', 'EE99D0C80301010101', 'ABADBAA90101010101', 'EEABA1980501010101', 'ACFAEEFE0701010101', 'EDABA1980501010101', 'ED99D0C80301010101', 'BADFE1FA0101010101', '81BBE8D00401010101', '83DEBFCD0501010101', 'EADAE3A20201010101', '8F8B96A80501010101', 'B9DFE1FA0101010101', 'AAFAEEFE0701010101', 'ECABA1980501010101', '80BBE8D00401010101', 'EC99D0C80301010101', 'E9DAE3A20201010101', 'A9ADBAA90101010101'},
				['16equip'] 	= { 'E7858FC30301010101', 'F386DF9B0701010101', 'BCA0F3A00401010101', '97B2F5B70601010101', 'ABEAF88B0601010101', '99B49AC50301010101', 'CE8AEFC80501010101', 'E189CE2701010101', 'CFEC94A50601010101', 'B9EFFDA20201010101', 'E294D1E60301010101', 'AEB3E2920701010101'},
				['17shady'] 	= { 'C3E5D1EC0501010101', 'F3D599B50701010101', 'BFAE81E60201010101', 'B2D3F48C0501010101', 'A086E3EC0301010101', 'BFCDA2CF0501010101', '9C8FA8A70401010101', '87F8A9AF0201010101', 'BCA1FEC60401010101', 'E9E6D33701010101', 'D29EA2D20201010101', 'DEB6C5980201010101', 'B8DAA00E01010101', 'A8EE99C90501010101', 'B6C8D4940201010101', 'C3E28F8A0501010101'},
				['17goods6']	= { 'F080ABE20301010101', 'E4A1DA820501010101', 'FFFBD5D30601010101', 'B9A3B7E50601010101', 'FBCBCDC50401010101', 'B7F1F6820101010101', 'BFA3AFE30201010101', 'E8CDCE6301010101', 'F69393F50601010101', 'E48B91A40101010101', '9EAF819D0401010101', 'BADDA2E40601010101'}
		}

event.other = {	['11other'] 	= { 'FFBCCC1301010101', 'AE9AD9BC0301010101', 'A4E1D1FE0101010101', 'B9A6AC930601010101', 'C59CF4910301010101' },
				['13other']		= { '93F2FCE80401010101', 'C1FC80820601010101', '96A9C3FA0101010101', 'FDA4EBC00701010101', 'C3E6C6A20701010101', 'B9C2AE850101010101', 'B48DF8A90401010101' },
				['13costume']	= { 'CAAA96D90301010101', 'E7DAA11601010101', 'DBB8FD9A0301010101', 'D096E4D10401010101' },
				['14other']		= { 'EFBA91BC0201010101', 'E1BAB89C0201010101', 'EEE88DC50501010101', 'E6C7B1FB0401010101', 'E78FDD8C0601010101' },
				['15other']		= { 'CFC0CFB90401010101', 'D0EFF2B30501010101', 'CCCEA2BB0301010101', 'E8D4FCCB0101010101', 'C2B3AB850601010101', 'FAC381C20301010101'},
				['15costume']	= { '85DAFB9B0601010101' },
				['16other']		= { 'BFE5C8910701010101', 'C0E5C8910701010101', 'C2E5C8910701010101', '8888E3F60301010101', '898CDDC00201010101', 'C1E5C8910701010101', 'C3E5C8910701010101', 'A1AFA4A40501010101', 'CCFD87F60401010101', 'C4E5C8910701010101', 'E883B7E00201010101'},
				['16costume']	= { 'FFBAF8DA0701010101', 'F2C5F0BF0101010101', 'FA82E6C00401010101', 'B5E0E4980101010101', '87EE97F90201010101', 'ED8EC58A0301010101', 'AC8E8ADD0601010101', 'F79DAEA10401010101' },
				['17prize']		= { '82A4A5B40301010101', 'F8A3D8B50501010101', 'F9A3D8B50501010101', 'FAA3D8B50501010101', 'FBA3D8B50501010101', 'A8EDE08A0601010101', 'DFBDAFB60601010101', 'consumable:generic:temp:1'},
				['17money']		= { 'F3FBF3C70601010101', 'A3D9BD6F01010101', 'AFEF9BEC0101010101', '90BFE4CD0101010101', '86C391AC0301010101', 'EFF7B6EA0101010101', 'F1F7B6EA0101010101'},
				['17goods']		= { '88B1A68D0101010101', '87B1A68D0101010101', 'C2ABE8D40201010101', '9CB3DECE0201010101', 'FFB284ED0101010101', '82FAC1F30601010101', '82A7903D01010101', '87A7B33B01010101', '88A7B33B01010101', '89A7B33B01010101', '8AA7B33B01010101'},
				['17titles']	= { '93C18FBF0601010101', 'BFFDDCB00101010101', 'E0D8A39C0101010101', 'BFA9F9B20701010101', 'B989F9FC0501010101', 'ADF99F8F0401010101' },
				['17shady']		= { '97C3E9FA0101010101', '9FA9E3910101010101', 'B1B7F3E20301010101', '8ECA97D50701010101', '8EEB84AE0101010101'},
				['17goods6']	= { 'E0E5B4800401010101', 'E58F96A90601010101' }
				}

privateVars.loot.event = event