﻿local addonInfo, privateVars = ...

if privateVars.loot == nil then privateVars.loot = {} end

local factions = {}

if ( EnKai.tools.lang.getLanguage() == "German"  ) then

	factions.locations = { 	defiant		= {	markw = 'Markwarte', gsturz = 'Granitsturz', gruben = 'Grubenratte', rotn = 'Rotnarbenaufspürer', runeg = 'Die Runengarde', ahand = 'Arkane Hand'  },
							guardian	= {	quecks = 'Quecksilber-Gelehrten', daemw = 'Dämmerwald-Weghüter', gruben = 'Grubenratte', eklauen = 'Eisenklauen-Trapper', runeg = 'Die Runengarde', ahand = 'Arkane Hand' }
						}

	factions.source		= {	markw 	= { markwequip = 'Ausrüstung', markwother = 'Verschiedenes' },
							gsturz 	= { gsturzequip = 'Ausrüstung', gsturzother = 'Verschiedenes' },
							rotn 	= { rotnequip = 'Ausrüstung', rotnother = 'Verschiedenes' },
							
							quecks 	= { quecksequip = 'Ausrüstung', quecksother = 'Verschiedenes' },
							daemw 	= { daemwequip = 'Ausrüstung', daemwother = 'Verschiedenes' },
							eklauen = { eklauenequip = 'Ausrüstung', eklauenother = 'Verschiedenes' },

							gruben 	= { grubenother = 'Verschiedenes' },
							runeg 	= { runegequip = 'Ausrüstung', runegother = 'Verschiedenes' },
							ahand 	= { ahandequip = 'Ausrüstung', ahandother = 'Verschiedenes' },							
					}
elseif EnKai.tools.lang.getLanguage() == "French"  then
	factions.locations = { 	defiant		= { markw = 'Gardes de la Marche', gsturz = 'Chutes de Granite', gruben = 'Rats de carrière', rotn = 'Pisteurs de Rouge-balafre', runeg = 'La Garde runique', ahand = 'Main d\'arcane'  },
							guardian	= {	quecks = 'Erudits de l\'Académie de Vif-Argent', daemw = 'Gardes-voies du Bois du Crépuscule', gruben = 'Rats de carrière', eklauen = 'Trappeurs Griffes de fer', runeg = 'La Garde runique', ahand = 'Main d\'arcane' }
						}
	
	factions.source = {	markw 	= { markwequip = 'Equipement', markwother = 'Autre' },
						gsturz 	= { gsturzequip = 'Equipement', gsturzother = 'Autre' },
						rotn 	= { rotnequip = 'Equipement', rotnother = 'Autre' },
						
						quecks 	= { quecksequip = 'Equipement', quecksother = 'Autre' },
						daemw 	= { daemwequip = 'Equipement', daemwother = 'Autre' },
						eklauen = { eklauenequip = 'Equipement', eklauenother = 'Autre' },

						gruben 	= { grubenother = 'Autre' },
						runeg 	= { runegequip = 'Equipement', runegother = 'Autre' },
						ahand 	= { ahandequip = 'Equipement', ahandother = 'Autre' },	
					}
					
else
	factions.locations = { 	defiant		= { markw = 'Freemarch Wardens', gsturz = 'Granite Falls', gruben = 'Quarry Rats', rotn = 'Red Scar Trackers', runeg = 'The Runeguard', ahand = 'Arcane Hand'  },
							guardian	= {	quecks = 'Quicksilver Scholars', daemw = 'Gloamwood Waykeepers', gruben = 'Quarry Rats', eklauen = 'Iron Claw Trappers', runeg = 'The Runeguard', ahand = 'Arcane Hand' }
						}
	
	factions.source = {	markw 	= { markwequip = 'Equipment', markwother = 'Other' },
						gsturz 	= { gsturzequip = 'Equipment', gsturzother = 'Other' },
						rotn 	= { rotnequip = 'Equipment', rotnother = 'Other' },
						
						quecks 	= { quecksequip = 'Equipment', quecksother = 'Other' },
						daemw 	= { daemwequip = 'Equipment', daemwother = 'Other' },
						eklauen = { eklauenequip = 'Equipment', eklauenother = 'Other' },

						gruben 	= { grubenother = 'Other' },
						runeg 	= { runegequip = 'Equipment', runegother = 'Other' },
						ahand 	= { ahandequip = 'Equipment', ahandother = 'Other' },	
					}
end

factions.items = {	markwequip 	= {	'85F08FF20401010101', 'B4F5C06E01010101', 'B5F5C06E01010101', 'BAF9D6890401010101', 'B6F5C06E01010101' },					
					gsturzequip	= { 'FAE688800401010101', 'CAFEE4CC0701010101', 'C4B9CE940701010101', '91A899D60401010101', 'C5FDD6B20701010101' },
					rotnequip	= { 'CC979BF30301010101', 'FC889AF50201010101', 'BF95A93801010101', 'E880C3CC0301010101', '9AA5EA9D0401010101'},
					quecksequip	= { 'FF92CBFE0701010101', '8FC4D5D80601010101', '94B2948F0501010101', 'F8E0A0B90501010101', 'CDDFEC3C01010101' },
					daemwequip	= { 'B4D0FFFC0601010101', 'B184FA930101010101', '88A1B07601010101', 'E389A2DA0601010101', 'FCCFA9EB0601010101'},
					eklauenequip= { 'ECC8E8B70501010101', 'F69CE3F00201010101', 'C3A29CC30501010101', 'B08CE4B60701010101', 'FEAAF5AC0201010101'},
					runegequip	= { '9ACD84CD0701010101', '9CCD84CD0701010101', 'A19E8ED20101010101', '9BCD84CD0701010101', '99CD84CD0701010101', '82F1F7A40701010101' },
					ahandequip	= { 'D5AEE0F10601010101', 'D8AEE0F10601010101', 'D7AEE0F10601010101', 'D6AEE0F10601010101', 'FCA3B3C90701010101'}
		}

factions.other = {	markwother 	= { 'D1FDABFD0401010101', 'B5C6D2B70701010101', '9AB5EADE0501010101', 'FE9BBFF90301010101', 'A28FDFD80501010101', 'A7ED935501010101', 'D3CCE1DB0301010101', 'E08C998A0401010101', 'A8E5B4B30301010101', '98BFE69A0201010101', 'C0F0DABC0301010101', 'EAC986C00101010101' },
					gsturzother	= { 'C6EFE79B0701010101', 'BD9C918A0101010101', 'E4D6C5EB0201010101', 'F4E0F1C70301010101', '8DCC971501010101', '9DCBE8B10701010101', 'D38281E10601010101', 'B2A2EDEB0701010101', 'DDBEB3DF0401010101', 'DFACC3DD0401010101', 'AFA6F58C0201010101', 'AABBD2800401010101', '90DAC9C00401010101' },
					rotnother	= { 'B6C5CEA90201010101', 'AAA8C2850401010101', 'F0E0F5EF0501010101', 'CA9CAFBE0101010101', 'D99086DE0101010101', 'CCEBE9960301010101', 'E7F09EC80501010101', '99E8EEB20401010101', 'F0B2F1DB0501010101', '92E1FD900401010101', 'D7E9C9EF0101010101', 'E1BACCA70401010101', '9BE592800501010101', 'F48A91C80201010101', 'C59ECCD50101010101', 'D98E96CE0701010101', 'C5B1E7FE0401010101', 'B1D9C34501010101', '80D1919F0201010101', 'EA869ABD0101010101', 'B7C6ACA70601010101', 'F1DFFCC40201010101', 'AD9BC1880701010101' },
					quecksother	= { 'DB8F91820301010101', 'D0E6EA0E01010101', 'ECF39EAF0401010101', '8FBD84E90601010101', 'D192D5E40401010101', 'C884B46D01010101', 'E5FBCE2701010101', 'B1F5D19B0101010101', 'DE87C59F0401010101', 'D98CCF5201010101', 'ECF8846F01010101', 'E3F6FEB40701010101' },
					daemwother	= { 'A9968F810501010101', '83E6C1CB0601010101', 'B6C4C1F60101010101', '97ACF59C0701010101', '98ACF59C0701010101', 'EE8593E20501010101', 'D0BCD0AD0101010101', 'F6E6E6F40101010101', '82D589E30301010101', 'FDD18BF70501010101', 'C8CCD8EE0701010101', 'B4D0FFFC0601010101', 'ABA7C9E80301010101'},
					eklauenother= { 'CE90C3D10601010101', '89D4EAB90401010101', 'B3CAA5A50601010101', 'B3BD90AD0701010101', 'F0A39B3301010101', '9AACF59C0701010101', 'C7B5C7E40701010101', 'FABF88BE0501010101', 'B390CCF10601010101', 'B6F7D8C50101010101', 'C5E2ABEA0401010101', 'BECACB1901010101', 'FEDC85E80501010101', 'AE92E7A30601010101', 'E293BDA90501010101', 'F297E7A50401010101', 'D0BBC1EA0701010101', 'B0A4C68B0201010101', 'D68FE2840201010101', '96F4B1F20201010101', 'CDD2BFE30701010101', 'D8F0AF820701010101', 'DC92A2AE0101010101' },
					grubenother	= { '99ACF59C0701010101', '87F39F2F01010101', '8789D7E10201010101', 'C1A3CF9D0701010101', '9798894801010101'},
					runegother	= { 'FCC2D6F60101010101', '9BACF59C0701010101', '8BC7E7B10601010101', 'C4ADFD940501010101', 'FF97ACC80501010101', 'B39DC3CC0701010101', '8B91DC4C01010101', '8C91DC4C01010101' },
					ahandother	= { '9CACF59C0701010101', 'F7EBF2EB0101010101', '9BECFEF50301010101', 'C7FCF9A20301010101', '94ECC07901010101', 'BFD598900201010101', 'C0D598900201010101', 'C1D598900201010101'}
			}

privateVars.loot.factions = factions