local addonInfo, privateVars = ...

if privateVars.loot == nil then privateVars.loot = {} end

local instance = {}

if ( EnKai.tools.lang.getLanguage() == "German"  ) then

	instance.locations = {	inirdf = 'Das Reich der Feen (15-22)', inideg = 'Das Eisengrab (17-24)', inift = 'Finstere Tiefen (21-28)', initm = 'Tiefschlagmiene (24-31)', iniek = 'Ekelkaskade (28-37)', inikb = 'Königsbreche (33-42)', 
							inirt = 'Runental (38-47)', iniduvl = 'Der Untergang von Laternenhaken (42-47)', iniak = 'Abgründige Kluft (48-50)',  iniha = 'Hermesstab-Anhöhe (48-50)', inizk = 'Zauberkessel (48-50)'}

	instance.source = {	inirdf	= { inirdfsm = 'Schwindler Maelow', inirdflu = 'Luggodhan', inirdfga = 'Gefechtsmeister Atrophinius', inirdfft = 'Feenfürst Twyl' },
						inideg	= { inidegca = 'Caor Aschstein', inidegddk = 'Die Drei Könige', inidegrdb = 'Ragnoth der Brandschatzer'},
						inift	= { iniftab = 'Alchemist Braxtepel', iniftmv = 'Michael Bringhurst', inifttt = 'Tegenar Tiefzahn', iniftgr = 'Gedlo-Rat'},
						initm	= { initmam = 'Aufseher Markus', inittmgk = 'Gregori Krezlav', inittmbdd = 'Bonehew der Donnerer', initmtk = 'Torwächterin Kaleida'},
						iniek	= { iniekmv = 'Matrone Verosa', iniekgss = 'Gräfin Surin Skenobar', iniekkb = 'Krasimir Barionov', iniekkv = 'Königin Vallnara'},
						inikb	= { inikbjs = 'Jäger Suleng', inikbra = 'Ravalos', inikbma = 'Mondrach & Autoch', inikbst = 'Schattenschrecktrugbild'},
						inirt	= { inirtri = 'Rictus', inirtwu = 'Wurmholz', inirtbf = 'Bewahrer Falidor'},
						iniduvl = { iniduvlro = 'Rorf', iniduvlfc = 'Feuermeister Cortilnald', iniduvlge = 'Glutfürst Ereetu'},
						inizk	= { inizksm = 'Smouldaron', inizkcy = 'Cyclorax', inizkrd = 'Ryka Dharvos', inizkcs = 'Caelia die Sturmberührte', inizkrandom = 'Zufall'},
						iniak	= { iniakka = 'Kaler Andrenos', iniakmb = 'Majolic der Blutwandler', iniakca = 'Calyx der Alte', iniakrandom = 'Zufall'},											
						iniha	= { inihakh = 'Kronvasall Hergen', inihaba = 'Bruchwandler Alraj', inihahp = 'Hakenmeister Palos', inihahs = 'Hermesstab', iniharandom = 'Zufall'}
					}
elseif EnKai.tools.lang.getLanguage() == "French" then
	instance.locations = {	inirdf = 'Le Royaume des Fées (15-22)', inideg = "La Tombe de Fer (17-24)", inift = 'Profondeurs Insondables (21-28)', initm = 'Les Mines de Couprofond (24-31)', iniek = 'Cascade infecte (28-37)', inikb = "Voie Royale (33-42)", 
							inirt = 'Descente runique (38-47)', iniduvl = 'La Chute de Saillant de Lanterne (42-47)', iniak = 'Précipice abyssal (48-50)',  iniha = 'Bas de la Butte du Caducée (48-50)', inizk = "Caldera du Charmeur (48-50)"}
	
	instance.source = {	inirdf	= { inirdfsm = 'Entourloupeur Maelow', inirdflu = 'Luggodhan', inirdfga = 'Maître de guerre Atrophinius', inirdfft = 'Seigneur des Fées Twyl' },
						inideg	= { inidegca = 'Caor Ashstone', inidegddk = 'Les Trois Rois', inidegrdb = 'Ragnoth le Dévastateur'},
						inift	= { iniftab = 'Braxtepel l\'Alchimiste', iniftmv = 'Michael Lèvecolline', inifttt = 'Tegenar Long-croc', iniftgr = 'Le Conclave des Gedlos'},
						initm	= { initmam = 'Markus le superviseur', inittmgk = 'Gregori Krezlav', inittmbdd = 'Taille-os le Tonnant', initmtk = 'Kaleida, le Cerbère de la porte'},
						iniek	= { iniekmv = 'Matrone Verosa', iniekgss = 'Comtesse Surin Skenobar', iniekkb = 'Krasimir Barionov', iniekkv = 'Reine Vallnara'},
						inikb	= { inikbjs = 'Chasseur Suleng', inikbra = 'Ravalos', inikbma = 'Mondrach & Autoch', inikbst = 'Chimère Ombreffoi'},
						inirt	= { inirtri = 'Rictus', inirtwu = 'Verbois', inirtbf = 'Garde Falidor'},
						iniduvl = { iniduvlro = 'Rorf', iniduvlfc = 'Pyromaître Cortilnald', iniduvlge = 'Seigneur de Braise Ereetu'},
						inizk	= { inizksm = 'Flambetison', inizkcy = 'Cyclorax', inizkrd = 'Ryka Dharvos', inizkgr = 'Gronik', inizkju = 'Jultharin', inizkcs = 'Caelia Stigmatempête', inizkrandom = 'Random'},
						iniak	= { iniakka = 'Kaler Andrenos', iniakmb = 'Majolic le Marchesang', iniakca = 'Calyx l\'Ancien', iniakrandom = 'Random'},
						iniha	= { inihakh = 'Haut-baron Hergen', inihaba = 'Alraj l\'Eclopé', inihahp = 'Maître-crochet Palos', inihahs = 'Caducée', iniharandom = 'Random' }
					}
else
	instance.locations = {	inirdf = 'Realm of the Fae (15-22)', inideg = "Iron Tomb's (17-24)", inift = 'Darkening Deeps (21-28)', initm = 'Deepstrike Mines (24-31)', iniek = 'Foul Cascade (28-37)', inikb = "King's Breach (33-42)", 
							inirt = 'Runic Descent (38-47)', iniduvl = 'The Fall of Lantern Hook (42-47)', iniak = 'Abyssal Precipice (48-50)',  iniha = 'Caduceus Rise (48-50)', inizk = "Chamer's Caldera (48-50)"}
	
	instance.source = {	inirdf	= { inirdfsm = 'Trickster Maelow', inirdflu = 'Luggodhan', inirdfga = 'Luggodhan', inirdfft = 'Fae Lord Twyl' },
						inideg	= { inidegca = 'Caor Ashstone', inidegddk = 'The Three Kings', inidegrdb = 'Ragnoth the Despoiler'},
						inift	= { iniftab = 'Alchemist Braxtepel', iniftmv = 'Michael Bringhurst', inifttt = 'Tegenar Deepfang', iniftgr = 'Gedlo Council'},
						initm	= { initmam = 'Overseer Markus', inittmgk = 'Gregori Krezlav', inittmbdd = 'Bonehew the Thunderer', initmtk = 'Gatekeeper Kaleida'},
						iniek	= { iniekmv = 'Matron Verosa', iniekgss = 'Countess Surin Skenobar', iniekkb = 'Krasimir Barionov', iniekkv = 'Queen Vallnara'},
						inikb	= { inikbjs = 'Hunter Suleng', inikbra = 'Ravalos', inikbma = 'Mondrach & Autoch', inikbst = 'Shadehorror Phantasm'},
						inirt	= { inirtri = 'Rictus', inirtwu = 'Wormwood', inirtbf = 'Warden Falidor'},
						iniduvl = { iniduvlro = 'Rorf', iniduvlfc = 'Pyromaster Cortilnald', iniduvlge = 'Emberlord Ereetu'},
						inizk	= { inizksm = 'Smouldaron', inizkcy = 'Cyclorax', inizkrd = 'Ryka Dharvos', inizkgr = 'Gronik', inizkju = 'Jultharin', inizkcs = 'Caelia the Stormtouched', inizkrandom = 'Random'},
						iniak	= { iniakka = 'Kaler Andrenos', iniakmb = 'Majolic the Bloodwalker', iniakca = 'Calyx the Ancient', iniakrandom = 'Random'},
						iniha	= { inihakh = 'High Thane Hergen', inihaba = 'Faultwalker Alraj', inihahp = 'Hookmaster Palos', inihahs = 'Caduceus', iniharandom = 'Random' }
					}
						
end

instance.items = {	inirdfsm	= { 'DD9BA6E30601010101', 'F3A4ECE10401010101', 'DF9EFC9C0201010101'},
					inirdflu	= { 'A5C2DEA40701010101', 'BFE1BE810401010101', 'B6F3FDC90501010101'},
					inirdfga	= { '95A09FC10401010101', 'CEFDAFB60301010101', '94E0EFFE0101010101'},
					inirdfft	= { 'BEB3E0DA0101010101', 'C2ECCBBA0101010101', 'E2D283CD0301010101'},
					
					inidegca	= { 'F9A2A07701010101', 'EFBDA39B0101010101', 'B8F6EBF60101010101'},
					inidegddk	= { 'C4FD97D40701010101', 'EFE3F46701010101', 'E49DF5F10601010101'},
					inidegrdb	= { 'F499A6D60501010101', '86A7BB4B01010101', 'A09BA4A40301010101'},
					
					iniftab		= { 'D4C2FE0E01010101', '9B9A8D5101010101', 'CA9AC9E20201010101', 'FFEAD7A20701010101', '9ED68EDF0601010101', 'C0EAFAC70601010101', 'B392AAEE0601010101', 'E2E0D58D0401010101', },
					iniftmv		= { 'EFBBABDD0101010101', 'A2C5AEAC0601010101', '9B9F8AA50101010101', 'A5BAFDF00301010101', 'B4A292DC0201010101', '878D9BB10501010101', 'AAD9EC9D0101010101', 'EFA3D2E80101010101' },
					inifttt		= { 'AEFEA6F60501010101', 'B499C0A00201010101', '98F4F2C20201010101', 'EE86A0970701010101', 'E09CA9860301010101', 'DAE3C2E40701010101', 'CED1C8C50601010101', 'D3F8906401010101', 'E1B6818C0701010101'},
					iniftgr		= { 'A496FEA00201010101', 'A2E1F3AD0301010101', 'AEBADABC0501010101', 'C7D2FBE50301010101', 'EDCD842101010101', '94D8C8D40101010101', 'ADE7A6ED0101010101', '999A98920401010101', '8A81CABB0501010101', 'DC8BB25F01010101' },
					
					initmam		= { '93DCFEE70101010101', '98D2CFEC0101010101', '958EF3D80201010101', 'EED0EAD70401010101', 'B4E2BEB30601010101', 'DFC0BFE60601010101', 'A5EE86FF0201010101', '89D0DAD30401010101', 'C3D981F70301010101' },
					inittmgk	= { 'F4B7C5970101010101', 'D7A7CFDF0301010101', 'F8D5F1E50701010101', 'E386E5870401010101', '8DB1ABFB0601010101', 'F7DCEADA0601010101', 'A4F5A9970101010101', '858D95ED0701010101' },
					inittmbdd	= { 'FEA0E37001010101', 'E7FD9C1A01010101', 'C496B9B40201010101', 'D4A98BF10701010101', 'DCC88BD40301010101', 'CBD95E01010101', '99FCE4BA0101010101', 'B5D19D9D0401010101' },
					initmtk		= { 'E181F0FA0701010101', 'CEE7FD930701010101', 'F3CDA8A80301010101', 'C6AB88EA0301010101', '95DFA2870501010101', '82FCAD800701010101', 'C19BF02601010101', 'A2C9D4EA0401010101' },
					
					iniekmv		= { '98CF95BD0501010101', '8E9CD0D30601010101', 'B2FEAEF60501010101', 'B3F3D73301010101', 'CAD2CED60301010101', '889990AB0401010101', 'DAFBE4AE0201010101'},
					iniekgss	= { '9FDEFBE10301010101', 'B38FD4830601010101', '97FB87FF0301010101', '898AAC5201010101', 'A3C7E0F80101010101', 'E486D7D30701010101', 'CBF1C50E01010101' },
					iniekkb		= { '9CA28D920201010101', 'E1E0CAF10701010101', 'CD9DDEE90401010101', '96E7AFC80701010101', 'D9E9E9970101010101', 'BF9390800201010101', 'C3ACE0860701010101' },
					iniekkv		= { 'CEE69C0E01010101', 'B3EEABBE0301010101', 'B6B0BFE10201010101', 'A9F3DC5D01010101', 'B38FD0C50501010101', '9BF994F10701010101', 'D8B8ACEC0401010101', '9293BAD90201010101', '8EE4ACE70501010101' },
					
					inikbjs		= { 'A5988D8C0201010101', 'EDF4E9F00201010101', 'D08BE31D01010101', 'ADA2D5D30501010101', 'D18CFAF20501010101', 'BB8399990201010101', 'DE8FEAF30701010101', '8FFEB0C70401010101' },
					inikbra		= { '87F6FBDF0201010101', '81F5AEA10601010101', 'D9B2D6B70301010101', 'BDA9FEB70101010101', '8E81BEB70701010101', '9FD0D69B0301010101', '94B89D3101010101' },
					inikbma		= { 'F4CC80A30301010101', 'B2C6C85201010101', 'A49B9A6601010101', 'C1CAA7C60501010101', 'DDABE8DA0601010101', 'A8E4E3C60101010101', '84A3C5F10401010101', 'AAFFBDA50101010101'},
					inikbst		= { 'D5C1F93C01010101', 'FAA5B0EA0501010101', 'AA9FD2A60601010101', 'D1F2EFAD0301010101', 'B1A4EFAC0701010101', 'F1BEAA850101010101', '81E199CE0701010101', 'BC9D81A00701010101' },
					
					inirtri		= {	'FCC0DF860501010101', 'A18F9B970401010101', 'F0BEF68E0101010101', 'FF90AC7801010101', 'C4E69DD20501010101', 'B6ABE4DC0501010101', 'D4C8D1800701010101' },
					inirtwu		= {	'AD82D4D80101010101', '9A83A6F40301010101', 'BCC98ABB0101010101', 'A9FDF5920701010101', 'F5E39ABB0301010101', 'E7CE84DD0601010101', 'CDE3E5910101010101', 'D2B5EA6001010101'},
					inirtbf		= { 'EDF2A4920401010101', 'A2B3C73A01010101', '9AF8C0B20601010101', 'D1FDFFAE0101010101', 'E4ADAFE20701010101', 'DCA3A7940301010101', 'DEC8A1FB0101010101', 'DF88DDBC0301010101', 'EDAFF1B60501010101' },
					
					iniduvlro	= { 'A3ECB97401010101', 'E498CF9E0501010101', 'E2C0F3A30401010101', '9980EADA0701010101', '9390D88F0601010101', 'D5A991A00501010101', 'ABFDB07701010101' },
					iniduvlfc	= {	'8186AC7901010101', 'EFAFC3F20501010101', 'A8DED9DD0401010101', 'EAFBAFC10101010101', 'A5EE919B0701010101', 'CBC1A48C0701010101', '88F087A00601010101' },
					iniduvlge	= { 'A4B3DCEF0401010101', 'B4B5C8D70201010101', 'B79DA8CB0501010101', '8494D22A01010101', 'F7B385F50701010101', 'CF8199BF0501010101', 'E8CC89F00501010101', 'D9ABEEFE0401010101', 'D4B7AF2601010101', 'F0DBC98F0201010101'},
					
					inizksm		= {'D0F69EDB0701010101', 'EE99C8F90601010101', '86A1ECAD0401010101', 'EE99C8F90601010101', 'AF869ADD0601010101', '8AACC0D30401010101', 'D4B8A1D90201010101', '90C887EA0601010101', 'F3AED02401010101', 'B19CC59C0601010101'},
					inizkcy		= {'FCC5894101010101', 'E5BE89860701010101', 'BEF19D830201010101', 'C494C4F10401010101', 'B083C2F20201010101', 'CBAE827401010101', 'A8C1D8A00501010101', 'F1E8ECAF0401010101', 'ACCBADD40401010101'},
					inizkrd		= {'FFC392D70701010101', 'BDC9A4A30701010101', 'E58EAC880601010101', 'C2D7A7940701010101', '9196A8850401010101', 'F1D9DD800301010101', 'B8BEE6CA0601010101'},
					inizkcs		= {'BFB2D29B0201010101', '8AECB67701010101', 'A1BFD1810401010101', 'C6C8C4F30401010101', 'A09FA0AC0701010101', 'A883C9980201010101', '9FDBB5C20701010101', 'ACDEFAEC0301010101', 'AF869ADD0601010101', 'AB9E91F80401010101', '8BDB998A0701010101' },
					inizkrandom = {'AF869ADD0601010101', '98B9C4CF0501010101'},
					iniakka		= {'B9D88ED90601010101', '9FEA84DA0701010101', 'C38C8DF20101010101', '88D2C6EB0201010101', 'EC8AA1DB0301010101', '9D99E7E20501010101'},
					iniakmb		= {'88AAB7900501010101', 'BBB296C20101010101', 'F1A5EEBB0301010101', 'D2A88A5401010101', '94BB85FF0101010101', '8BB3CBE60601010101', 'D0ABE08E0201010101', 'E5949EA30301010101'},
					iniakca		= {'B1FBCC860401010101', '8DD4DBAD0101010101', 'FEF5B7D10401010101', 'E49FEDDF0501010101', 'AD82D69D0601010101', 'CDEFA3A70101010101', 'D7A0C99B0101010101', 'E2DBA3F40601010101', 'F1E6FFD90101010101', 'D4EE3601010101'},
					iniakrandom = {'C6BBFD7601010101', '8796C0C50701010101'},
					inihakh		= {'9AC986CA0201010101', 'E79ADC930101010101', 'F6D5BFAA0301010101', '9A9EA1AF0101010101', 'E8E99B900301010101'},
					inihaba		= {'A0D08CBB0401010101', 'BDBFCCF30401010101', '8F8FA9F50501010101', 'CE9D94C70201010101', 'C39CDAD40301010101'},
					inihahp		= {'9DE9AFEB0201010101', '939381970601010101', '8BBCF3EF0601010101', '9CCAA36D01010101', 'C7F08B960701010101'},
					inihahs		= {'FBB6D8F50501010101', 'BFD5DDFC0701010101', 'C0B1AEC60401010101', 'D2F1D80E01010101', 'E2C9A79A0501010101', 'EAA1A5C10201010101'},
					iniharandom = {}
				}

instance.other = {	inirdfga	= { 'DBA7A0FB0701010101' },
					inirdfft	= { '84F1F3810701010101' },
					inirtri		= { 'C9C9CAC70601010101' },
					inirtbf		= { '8DCBA5E50601010101' },
					inidegca	= { 'B6999EC50301010101' },
					
					iniakrandom = { '98B9C4CF0501010101' }
				}

privateVars.loot.instance = instance
